--- old/usr/src/man/man7i/mtio.7i	Wed Sep 25 13:05:51 2019
+++ new/usr/src/man/man7i/mtio.7i	Wed Sep 25 13:05:51 2019
@@ -1,308 +1,421 @@
-'\" te
 .\" Copyright (c) 2008, Sun Microsystems, Inc. All Rights Reserved
-.\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
-.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
-.\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH MTIO 7I "April 9, 2016"
-.SH NAME
-mtio \- general magnetic tape interface
-.SH SYNOPSIS
-.LP
-.nf
-#include <sys/types.h>
-#include <sys/ioctl.h>
-#include <sys/mtio.h>
-.fi
-
-.SH DESCRIPTION
-.LP
+.\" Copyright 2018, Joyent, Inc.
+.\" The contents of this file are subject to the terms of the
+.\" Common Development and Distribution License (the "License").
+.\" You may not use this file except in compliance with the License.
+.\"
+.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+.\" or http://www.opensolaris.org/os/licensing.
+.\" See the License for the specific language governing permissions
+.\" and limitations under the License.
+.\"
+.\" When distributing Covered Code, include this CDDL HEADER in each
+.\" file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+.\" If applicable, add the following below this CDDL HEADER, with the
+.\" fields enclosed by brackets "[]" replaced with your own identifying
+.\" information: Portions Copyright [yyyy] [name of copyright owner]
+.Dd August 31, 2018
+.Dt MTIO 7I
+.Os
+.Sh NAME
+.Nm mtio
+.Nd general magnetic tape interface
+.Sh SYNOPSIS
+.In sys/types.h
+.In sys/ioctl.h
+.In sys/mtio.h
+.Sh DESCRIPTION
 1/2", 1/4", 4mm, and 8mm magnetic tape drives all share the same general
 character device interface.
-.sp
-.LP
+.Pp
 There are two types of tape records: data records and end-of-file (EOF)
-records. S\fBEOF\fR records are also known as tape marks and file marks. A
-record is separated by interrecord (or tape) gaps on a tape.
-.sp
-.LP
-End-of-recorded-media (EOM) is indicated by two \fBEOF\fR marks on 1/2" tape;
-by one \fBEOF\fR mark on 1/4", 4mm, and 8mm cartridge tapes.
-.SS "1/2" Reel Tape"
-.LP
-Data bytes are recorded in parallel onto the 9-track tape. Since it is a
-variable-length tape device, the number of bytes in a  physical record may
-vary.
-.sp
-.LP
-The recording formats available (check specific tape drive) are 800 \fBBPI,\fR
-1600 \fBBPI,\fR 6250 \fBBPI,\fR and data compression. Actual storage capacity
-is a function of the recording format and the length of the tape reel. For
-example, using a 2400 foot tape, 20 Mbyte can be stored using 800 \fBBPI,\fR 40
-Mbyte using 1600 \fBBPI,\fR 140 Mbyte using 6250 \fBBPI,\fR or up to 700 Mbyte
-using data compression.
-.SS "1/4" Cartridge Tape"
-.LP
-Data is recorded serially onto 1/4" cartridge tape. The number of bytes per
-record is determined by the physical record size of the device. The I/O request
-size must be a multiple of the physical record size of the device. For
-\fBQIC-11,\fR \fBQIC-24,\fR and \fBQIC-150\fR tape drives, the block size is
-512 bytes.
-.sp
-.LP
-The records are recorded on tracks in a serpentine motion. As one track is
+records.
+.Sy EOF
+records are also known as tape marks and file marks.
+A record is separated by interrecord (or tape) gaps on a tape.
+.Pp
+End-of-recorded-media (EOM) is indicated by two
+.Sy EOF
+marks on 1/2\(dq tape; by one
+.Sy EOF
+mark on 1/4\(dq, 4mm, and 8mm cartridge tapes.
+.Ss "1/2\(dq Reel Tape"
+Data bytes are recorded in parallel onto the 9-track tape.
+Since it is a
+variable-length tape device, the number of bytes in a physical record may vary.
+.Pp
+The recording formats available (check specific tape drive) are 800
+.Sy BPI ,
+1600
+.Sy BPI ,
+6250
+.Sy BPI ,
+and data compression.
+Actual storage capacity is a function of the recording format and the length of the tape reel.
+For example, using a 2400 foot tape, 20 Mbyte can be stored using 800
+.Sy BPI ,
+40 Mbyte using 1600
+.Sy BPI ,
+140 Mbyte using 6250
+.Sy BPI ,
+or up to 700 Mbyte using data compression.
+.Ss "1/4\(dq Cartridge Tape"
+Data is recorded serially onto 1/4\(dq cartridge tape.
+The number of bytes per
+record is determined by the physical record size of the device.
+The I/O request
+size must be a multiple of the physical record size of the device.
+For
+.Sy QIC-11 ,
+.Sy QIC-24 ,
+and
+.Sy QIC-150
+tape drives, the block size is 512 bytes.
+.Pp
+The records are recorded on tracks in a serpentine motion.
+As one track is
 completed, the drive switches to the next and begins writing in the opposite
-direction, eliminating the wasted motion of rewinding. Each file, including the
-last, ends with one file mark.
-.sp
-.LP
+direction, eliminating the wasted motion of rewinding.
+Each file, including the last, ends with one file mark.
+.Pp
 Storage capacity is based on the number of tracks the drive is capable of
-recording. For example, 4-track drives can only record 20 Mbyte of data on a
+recording.
+For example, 4-track drives can only record 20 Mbyte of data on a
 450 foot tape; 9-track drives can record up to 45 Mbyte of data on a tape of
-the same length. \fBQIC-11\fR is the only tape format available for 4-track
-tape drives. In contrast, 9-track tape drives can use either \fBQIC-24\fR or
-\fBQIC-11.\fR Storage capacity is not appreciably affected by using either
-format. \fBQIC-24\fR is preferable to \fBQIC-11\fR because it records a
+the same length.
+.Sy QIC-11
+is the only tape format available for 4-track
+tape drives.
+In contrast, 9-track tape drives can use either
+.Sy QIC-24
+or
+.Sy QIC-11 .
+Storage capacity is not appreciably affected by using either format.
+.Sy QIC-24
+is preferable to
+.Sy QIC-11
+because it records a
 reference signal to mark the position of the first track on the tape, and each
 block has a unique block number.
-.sp
-.LP
-The \fBQIC-150\fR tape drives require \fBDC-6150\fR (or equivalent) tape
-cartridges for writing. However, they can read other tape cartridges in
-\fBQIC-11,\fR \fBQIC-24,\fR or \fBQIC-120\fR tape formats.
-.SS "8mm Cartridge Tape"
-.LP
-Data is recorded serially onto 8mm helical scan cartridge tape. Since it is a
-variable-length tape device, the number of bytes in a  physical record may
-vary. The recording formats available (check specific tape drive) are standard
+.Pp
+The
+.Sy QIC-150
+tape drives require
+.Sy DC-6150
+(or equivalent) tape cartridges for writing.
+However, they can read other tape cartridges in
+.Sy QIC-11 ,
+.Sy QIC-24 ,
+or
+.Sy QIC-120
+tape formats.
+.Ss "8mm Cartridge Tape"
+Data is recorded serially onto 8mm helical scan cartridge tape.
+Since it is a
+variable-length tape device, the number of bytes in a physical record may
+vary.
+The recording formats available (check specific tape drive) are standard
 2Gbyte, 5Gbyte, and compressed format.
-.SS "4mm DAT Tape"
-.LP
+.Ss "4mm DAT Tape"
 Data is recorded either in Digital Data Storage (DDS) tape format or in Digital
-Data Storage, Data Compressed (DDS-DC) tape format. Since it is a
-variable-length tape device, the number of bytes in a  physical record may
-vary. The recording formats available are standard 2Gbyte and compressed
-format.
-.SS "Persistent Error Handling"
-.LP
+Data Storage, Data Compressed (DDS-DC) tape format.
+Since it is a
+variable-length tape device, the number of bytes in a physical record may vary.
+The recording formats available are standard 2Gbyte and compressed format.
+.Ss "Persistent Error Handling"
 Persistent error handling is a modification of the current error handling
-behaviors, BSD and SVR4. With persistent error handling enabled, all tape
+behaviors, BSD and SVR4.
+With persistent error handling enabled, all tape
 operations after an error or exception will return immediately with an error.
 Persistent error handling can be most useful with asynchronous tape operations
-that use the \fBaioread\fR(3C) and \fBaiowrite\fR(3C) functions.
-.sp
-.LP
-To enable persistent error handling, the ioctl \fBMTIOCPERSISTENT\fR must be
-issued. If this ioctl succeeds, then persistent error handling is enabled and
-changes the current error behavior. This ioctl will fail if the device driver
+that use the
+.Xr aioread 3C
+and
+.Xr aiowrite 3C
+functions.
+.Pp
+To enable persistent error handling, the ioctl
+.Dv MTIOCPERSISTENT
+must be issued.
+If this ioctl succeeds, then persistent error handling is enabled and
+changes the current error behavior.
+This ioctl will fail if the device driver
 does not support persistent error handling.
-.sp
-.LP
+.Pp
 With persistent error handling enabled, all tape operations after an exception
 or error will return with the same error as the first command that failed; the
-operations will not be executed. An exception is some event that might stop
-normal tape operations, such as an End Of File (EOF) mark or  an End Of Tape
-(EOT) mark. An example of an error is a media error. The \fBMTIOCLRERR\fR ioctl
-must be issued to allow normal tape operations to continue and to clear the
-error.
-.sp
-.LP
+operations will not be executed.
+An exception is some event that might stop
+normal tape operations, such as an End Of File (EOF) mark or an End Of Tape
+(EOT) mark.
+An example of an error is a media error.
+The
+.Dv MTIOCLRERR
+ioctl must be issued to allow normal tape operations to continue and to clear
+the error.
+.Pp
 Disabling persistent error handling returns the error behavior to normal SVR4
 error handling, and will not occur until all outstanding operations are
-completed. Applications should wait for all outstanding operations to complete
-before disabling persistent error handling. Closing the device will also
+completed.
+Applications should wait for all outstanding operations to complete
+before disabling persistent error handling.
+Closing the device will also
 disable persistent error handling and clear any errors or exceptions.
-.sp
-.LP
-The \fBRead Operation\fR and \fBWrite Operation\fR subsections contain more
-pertinent information reguarding persistent error handling.
-.SS "Read Operation"
-.LP
-The \fBread\fR(2) function reads the next record on the tape. The record size
-is passed back as the number of bytes read, provided it is not greater than the
-number requested. When a tape mark or end of data is read, a zero byte count is
+.Pp
+The
+.Sx Read Operation
+and
+.Sx Write Operation
+subsections contain more pertinent information reguarding persistent error handling.
+.Ss "Read Operation"
+The
+.Xr read 2
+function reads the next record on the tape.
+The record size is passed back as the number of bytes read, provided it is not
+greater than the number requested.
+When a tape mark or end of data is read, a zero byte count is
 returned; all successive reads after the zero read will return an error and
-\fBerrno\fR will be set to \fBEIO\fR. To move to the next file, an \fBMTFSF\fR
-ioctl can be issued before or after the read causing the error. This error
-handling behavior is different from the older \fBBSD\fR behavior, where another
-read will fetch the first record of the next tape file. If the \fBBSD\fR
-behavior is required, device names containing the letter \fBb\fR (for \fBBSD\fR
-behavior) in the final component should be used. If persistent error handling
+.Va errno
+will be set to
+.Er EIO .
+To move to the next file, an
+.Dv MTFSF
+ioctl can be issued before or after the read causing the error.
+This error
+handling behavior is different from the older
+.Sy BSD
+behavior, where another read will fetch the first record of the next tape file.
+If the
+.Sy BSD
+behavior is required, device names containing the letter
+.Ql b
+(for
+.Sy BSD
+behavior) in the final component should be used.
+If persistent error handling
 was enabled with either the BSD or SVR4 tape device behavior, all operations
-after this read error will return \fBEIO\fR errors until the \fBMTIOCLRERR\fR
-ioctl is issued. An \fBMTFSF\fR ioctl can then he issued.
-.sp
-.LP
+after this read error will return
+.Er EIO
+errors until the
+.Dv MTIOCLRERR
+ioctl is issued.
+An
+.Dv MTFSF
+ioctl can then he issued.
+.Pp
 Two successful successive reads that both return zero byte counts indicate
-\fBEOM\fR on the tape. No further reading should be performed past the
-\fBEOM.\fR
-.sp
-.LP
+.Sy EOM
+on the tape.
+No further reading should be performed past the
+.Sy EOM .
+.Pp
 Fixed-length I/O tape devices require the number of bytes read to be a multiple
-of the physical record size. For example, 1/4" cartridge tape devices only read
-multiples of 512 bytes. If the blocking factor is greater than 64,512 bytes
+of the physical record size.
+For example, 1/4\(dq cartridge tape devices only read
+multiples of 512 bytes.
+If the blocking factor is greater than 64,512 bytes
 (minphys limit), fixed-length I/O tape devices read multiple records.
-.sp
-.LP
+.Pp
 Most tape devices which support variable-length I/O operations may read a range
-of 1 to 65,535 bytes. If the record size exceeds 65,535 bytes, the driver reads
-multiple records to satisfy the request. These multiple records are limited to
-65,534 bytes. Newer variable-length tape drivers may relax the above limitation
-and allow applications to read record sizes larger than 65,534. Refer to the
+of 1 to 65,535 bytes.
+If the record size exceeds 65,535 bytes, the driver reads
+multiple records to satisfy the request.
+These multiple records are limited to
+65,534 bytes.
+Newer variable-length tape drivers may relax the above limitation
+and allow applications to read record sizes larger than 65,534.
+Refer to the
 specific tape driver man page for details.
-.sp
-.LP
-Reading past logical \fBEOT\fR is transparent to the user. A read operation
+.Pp
+Reading past logical
+.Sy EOT
+is transparent to the user.
+A read operation
 should never hit physical EOT.
-.sp
-.LP
+.Pp
 Read requests that are lesser than a physical tape record are not allowed.
 Appropriate error is returned.
-.SS "Write Operation"
-.LP
-The \fBwrite\fR(2) function writes the next record on the tape. The record has
+.Ss "Write Operation"
+The
+.Xr write 2
+function writes the next record on the tape.
+The record has
 the same length as the given buffer.
-.sp
-.LP
+.Pp
 Writing is allowed on 1/4" tape at either the beginning of tape or after the
-last written file on the tape. With the Exabyte 8200, data may be appended only
+last written file on the tape.
+With the Exabyte 8200, data may be appended only
 at the beginning of tape, before a filemark, or after the last written file on
 the tape.
-.sp
-.LP
-Writing is not so restricted on 1/2", 4mm, and the other 8mm cartridge tape
-drives. Care should be used when appending files onto 1/2" reel tape devices,
-since an extra file mark is appended after the last file to mark the \fBEOM.\fR
-This extra file mark must be overwritten to prevent the creation of a null
-file. To facilitate write append operations, a space to the \fBEOM\fR ioctl is
-provided. Care should be taken when overwriting records; the erase head is just
+.Pp
+Writing is not so restricted on 1/2\(dq, 4mm, and the other 8mm cartridge tape
+drives.
+Care should be used when appending files onto 1/2\(dq reel tape devices,
+since an extra file mark is appended after the last file to mark the
+.Sy EOM .
+This extra file mark must be overwritten to prevent the creation of a null file.
+To facilitate write append operations, a space to the
+.Sy EOM
+ioctl is provided.
+Care should be taken when overwriting records; the erase head is just
 forward of the write head and any following records will also be erased.
-.sp
-.LP
+.Pp
 Fixed-length I/O tape devices require the number of bytes written to be a
-multiple of the physical record size. For example, 1/4" cartridge tape devices
+multiple of the physical record size.
+For example, 1/4\(dq cartridge tape devices
 only write multiples of 512 bytes.
-.sp
-.LP
+.Pp
 Fixed-length I/O tape devices write multiple records if the blocking factor is
-greater than 64,512 bytes (minphys limit). These multiple writes are limited to
-64,512 bytes. For example, if a write request is issued for 65,536 bytes using
-a 1/4" cartridge tape, two writes are issued; the first for 64,512 bytes and
+greater than 64,512 bytes (minphys limit).
+These multiple writes are limited to
+64,512 bytes.
+For example, if a write request is issued for 65,536 bytes using
+a 1/4\(dq cartridge tape, two writes are issued; the first for 64,512 bytes and
 the second for 1024 bytes.
-.sp
-.LP
+.Pp
 Most tape devices which support variable-length I/O operations may write a
-range of 1 to 65,535 bytes. If the record size exceeds 65,535 bytes, the driver
-writes multiple records to satisfy the request. These multiple records are
-limited to 65,534 bytes. As an example, if a write request for 65,540 bytes is
+range of 1 to 65,535 bytes.
+If the record size exceeds 65,535 bytes, the driver
+writes multiple records to satisfy the request.
+These multiple records are
+limited to 65,534 bytes.
+As an example, if a write request for 65,540 bytes is
 issued, two records are written; one for 65,534 bytes followed by another
-record for 6 bytes. Newer variable-length tape drivers may relax the above
-limitation and allow applications to write record sizes larger  than 65,534.
-Refer to the specific tape driver man page for details.
-.sp
-.LP
-When logical \fBEOT\fR is encountered during a write, that write operation
+record for 6 bytes.
+Newer variable-length tape drivers may relax the above
+limitation and allow applications to write record sizes larger than 65,534.
+effer to the specific tape driver man page for details.
+.Pp
+When logical
+.Sy EOT
+is encountered during a write, that write operation
 completes and the number of bytes successfully transferred is returned (note
 that a 'short write' may have occurred and not all the requested bytes would
-have been transferred. The actual amount of data written will depend on the
-type of device being used). The next write will return a zero byte count. A
-third write will successfully transfer some bytes (as indicated by the returned
-byte count, which again could be a short write); the fourth will transfer zero
-bytes, and so on, until the physical \fBEOT\fR is reached and all writes will
-fail with \fBEIO\fR.
-.sp
-.LP
-When logical \fBEOT\fR is encountered with persistent error handling enabled,
-the current write may complete or be a short write. The next write will return
-a zero byte count. At this point an application should act appropriately for
+have been transferred.
+The actual amount of data written will depend on the
+type of device being used).
+The next write will return a zero byte count.
+A third write will successfully transfer some bytes (as indicated by the
+returned byte count, which again could be a short write); the fourth will
+transfer zero bytes, and so on, until the physical
+.Sy EOT
+is reached and all writes will
+fail with
+.Er EIO .
+.Pp
+When logical
+.Sy EOT
+is encountered with persistent error handling enabled,
+the current write may complete or be a short write.
+The next write will return a zero byte count.
+At this point an application should act appropriately for
 end of tape cleanup or issue yet another write, which will return the error
-\fBENOSPC\fR. After clearing the exception with \fBMTIOCLRERR\fR, the next
-write will succeed (possibly short), followed by another zero byte write count,
-and then another \fBENOSPC\fR error.
-.sp
-.LP
-Allowing writes after \fBLEOT\fR has been encountered enables the flushing of
-buffers. However, it is strongly recommended to terminate the writing and close
+.Er ENOSPC .
+After clearing the exception with
+.Dv MTIOCLRERR ,
+the next write will succeed (possibly short), followed by another zero byte
+write count, and then another
+.Er ENOSPC
+error.
+.Pp
+Allowing writes after
+.Sy EOT
+has been encountered enables the flushing of buffers.
+However, it is strongly recommended to terminate the writing and close
 the file as soon as possible.
-.sp
-.LP
+.Pp
 Seeks are ignored in tape I/O.
-.SS "Close Operation"
-.LP
+.Ss "Close Operation"
 Magnetic tapes are rewound when closed, except when the "no-rewind" devices
-have been specified. The names of no-rewind device files use the letter \fBn\fR
-as the end of the final component. The no-rewind version of \fB/dev/rmt/0l\fR
-is \fB/dev/rmt/0ln\fR. In case of error for a no-rewind device, the next open
-rewinds the device.
-.sp
-.LP
+have been specified.
+The names of no-rewind device files use the letter
+.Ql n
+as the end of the final component.
+The no-rewind version of
+.Pa /dev/rmt/0l
+is
+.Pa /dev/rmt/0ln .
+In case of error for a no-rewind device, the next open rewinds the device.
+.Pp
 If the driver was opened for reading and a no-rewind device has been specified,
 the close advances the tape past the next filemark (unless the current file
-position is at \fBEOM),\fR leaving the tape correctly positioned to read the
-first record of the next file. However, if the tape is at the first record of a
-file it doesn't advance again to the first record of the next file. These
-semantics are different from the older \fBBSD\fR behavior. If \fBBSD\fR
+position is at
+.Sy EOM ) ,
+leaving the tape correctly positioned to read the first record of the next file.
+However, if the tape is at the first record of a
+file it doesn't advance again to the first record of the next file.
+These semantics are different from the older
+.Sy BSD
+behavior.
+If
+.Sy BSD
 behavior is required where no implicit space operation is executed on close,
-the non-rewind device name containing the letter \fBb\fR (for \fBBSD\fR
+the non-rewind device name containing the letter
+.Ql b
+(for
+.Sy BSD
 behavior) in the final component should be specified.
-.sp
-.LP
+.Pp
 If data was written, a file mark is automatically written by the driver upon
-close. If the rewinding device was specified, the tape will be rewound after
-the file mark is written. If the user wrote a file mark prior to closing, then
-no file mark is written upon close. If a file positioning ioctl, like rewind,
+close.
+If the rewinding device was specified, the tape will be rewound after
+the file mark is written.
+If the user wrote a file mark prior to closing, then
+no file mark is written upon close.
+If a file positioning ioctl, like rewind,
 is issued after writing, a file mark is written before repositioning the tape.
-.sp
-.LP
-All buffers are flushed on closing a tape device. Hence, it is strongly
-recommended that the application wait for all buffers to be flushed before
-closing the device. This can be done by writing a filemark via \fBMTWEOF,\fR
+.Pp
+All buffers are flushed on closing a tape device.
+Hence, it is strongly recommended that the application wait for all buffers to
+be flushed before closing the device.
+This can be done by writing a filemark via
+.Dv MTWEOF ,
 even with a zero count.
-.sp
-.LP
-Note that for 1/2" reel tape devices, two file marks are written to mark the
-\fBEOM\fR before rewinding or performing a file positioning ioctl. If the user
-wrote a file mark before closing a 1/2" reel tape device, the driver will
+.Pp
+Note that for 1/2\(dq reel tape devices, two file marks are written to mark the
+.Sy EOM
+before rewinding or performing a file positioning ioctl.
+If the user
+wrote a file mark before closing a 1/2\(dq reel tape device, the driver will
 always write a file mark before closing to insure that the end of recorded
-media is marked properly. If the non-rewinding device was specified, two file
+media is marked properly.
+If the non-rewinding device was specified, two file
 marks are written and the tape is left positioned between the two so that the
-second one is overwritten on a subsequent \fBopen\fR(2) and \fBwrite\fR(2).
-.sp
-.LP
-If no data was written and the driver was opened for \fBWRITE-ONLY\fR access,
-one or two file marks are written, thus creating a null file.
-.sp
-.LP
+second one is overwritten on a subsequent
+.Xr open 2
+and
+.Xr write 2 .
+.Pp
+If no data was written and the driver was opened for
+.Sy WRITE-ONLY
+access, one or two file marks are written, thus creating a null file.
+.Pp
 After closing the device, persistent error handling will be disabled and any
 error or exception will be cleared.
-.SH IOCTLS
-.LP
-Not all devices support all \fBioctls\fR. The driver returns an \fBENOTTY\fR
+.Sh IOCTLS
+Not all devices support all
+.Sy ioctls .
+The driver returns an
+.Er ENOTTY
 error on unsupported ioctls.
-.sp
-.LP
-The following structure definitions for magnetic tape \fBioctl \fRcommands are
-from \fB<sys/mtio.h>\fR\&.
-.sp
-.LP
-The minor device byte structure is::
-.sp
-.in +2
-.nf
+.Pp
+The following structure definitions for magnetic tape
+.Xr ioctl 2
+commands are from
+.In sys/mtio.h .
+.Pp
+The minor device byte structure is:
+.Bd -literal
 15      7      6          5          4         3          2       1   0
 ________________________________________________________________________
 Unit #       BSD      Reserved   Density   Density   No rewind    Unit #
 Bits 7-15   behavior              Select    Select    on Close    Bits 0-1
-.fi
-.in -2
-
-.sp
-.in +2
-.nf
+.Ed
+.Bd -literal
 /*
  * Layout of minor device byte:
  */
-#define MTUNIT(dev)	(((minor(dev) & 0xff80) >> 5) +
-(minor(dev) & 0x3))
+#define MTUNIT(dev)   (((minor(dev) & 0xff80) >> 5) + (minor(dev) & 0x3))
 #define MT_NOREWIND	(1 <<2)
 #define MT_DENSITY_MASK	(3 <<3)
 #define MT_DENSITY1	(0 <<3)	/* Lowest density/format */
@@ -310,244 +423,87 @@
 #define MT_DENSITY3	(2 <<3)
 #define MT_DENSITY4	(3 <<3)	/* Highest density/format */
 #define MTMINOR(unit)	(((unit & 0x7fc) << 5) + (unit & 0x3))
-#define MT_BSD	(1 <<6)       /* BSD behavior on close */
+#define MT_BSD	(1 <<6)         /* BSD behavior on close */
 
+/* Structure for MTIOCTOP - magnetic tape operation command */
 
-/* Structure for MTIOCTOP \(mi magnetic tape operation command */
-
-struct  mtop {
+struct mtop {
   short   mt_op;       /* operation */
   daddr_t mt_count;    /* number of operations */
 };
-.fi
-.in -2
 
-.sp
-.in +2
-.nf
 /* Structure for MTIOCLTOP - magnetic tape operation command */
 Works exactly like MTIOCTOP except passes 64 bit mt_count values.
-struct  mtlop    {
+struct mtlop {
         short           mt_op;
         short           pad[3];
         int64_t         mt_count;
 };
-.fi
-.in -2
+.Ed
+.Pp
+The following operations of
+.Dv MTIOCTOP
+and
+.Dv MTIOCLTOP
+ioctls are supported:
+.Pp
+.Bl -tag -width MTIOCGETERROR -compact -offset 2n
+.It Dv MTWEOF
+Write an end-of-file record
+.It Dv MTFSF
+Forward space over file mark
+.It Dv MTBSF
+Backward space over file mark (1/2", 8mm only)
+.It Dv MTFSR
+Forward space to inter-record gap
+.It Dv MTBSR
+Backward space to inter-record gap
+.It Dv MTREW
+Rewind
+.It Dv MTOFFL
+Rewind and take the drive off-line
+.It Dv MTNOP
+No operation, sets status only
+.It Dv MTRETEN
+Retension the tape (cartridge tape only)
+.It Dv MTERASE
+Erase the entire tape and rewind
+.It Dv MTEOM
+Position to EOM
+.It Dv MTNBSF
+Backward space file to beginning of file
+.It Dv MTSRSZ
+Set record size
+.It Dv MTGRSZ
+Get record size
+.It Dv MTTELL
+Get current position
+.It Dv MTSEEK
+Go to requested position
+.It Dv MTFSSF
+Forward to requested number of sequential file marks
+.It Dv MTBSSF
+Backward to requested number of sequential file marks
+.It Dv MTLOCK
+Prevent media removal
+.It Dv MTUNLOCK
+Allow media removal
+.It Dv MTLOAD
+Load the next tape cartridge into the tape drive
+.It Dv MTIOCGETERROR
+Retrieve error records from the st driver
+.El
+.Bd -literal -offset 2n
+/* structure for MTIOCGET - magnetic tape get status command */
 
-.sp
-.LP
-The following operations of \fBMTIOCTOP\fR and \fBMTIOCLTOP\fR ioctls are
-supported:
-.sp
-.ne 2
-.na
-\fBMTWEOF\fR
-.ad
-.RS 17n
-write an end-of-file record
-.RE
-
-.sp
-.ne 2
-.na
-\fBMTFSF\fR
-.ad
-.RS 17n
-forward space over file mark
-.RE
-
-.sp
-.ne 2
-.na
-\fBMTBSF\fR
-.ad
-.RS 17n
-backward space over file mark (1/2", 8mm only)
-.RE
-
-.sp
-.ne 2
-.na
-\fBMTFSR\fR
-.ad
-.RS 17n
-forward space to inter-record gap
-.RE
-
-.sp
-.ne 2
-.na
-\fBMTBSR\fR
-.ad
-.RS 17n
-backward space to inter-record gap
-.RE
-
-.sp
-.ne 2
-.na
-\fBMTREW\fR
-.ad
-.RS 17n
-rewind
-.RE
-
-.sp
-.ne 2
-.na
-\fBMTOFFL\fR
-.ad
-.RS 17n
-rewind and take the drive off-line
-.RE
-
-.sp
-.ne 2
-.na
-\fBMTNOP\fR
-.ad
-.RS 17n
-no operation, sets status only
-.RE
-
-.sp
-.ne 2
-.na
-\fBMTRETEN\fR
-.ad
-.RS 17n
-retension the tape (cartridge tape only)
-.RE
-
-.sp
-.ne 2
-.na
-\fBMTERASE\fR
-.ad
-.RS 17n
-erase the entire tape and rewind
-.RE
-
-.sp
-.ne 2
-.na
-\fBMTEOM\fR
-.ad
-.RS 17n
-position to EOM
-.RE
-
-.sp
-.ne 2
-.na
-\fBMTNBSF\fR
-.ad
-.RS 17n
-backward space file to beginning of file
-.RE
-
-.sp
-.ne 2
-.na
-\fBMTSRSZ\fR
-.ad
-.RS 17n
-set record size
-.RE
-
-.sp
-.ne 2
-.na
-\fBMTGRSZ\fR
-.ad
-.RS 17n
-get record size
-.RE
-
-.sp
-.ne 2
-.na
-\fBMTTELL\fR
-.ad
-.RS 17n
-get current position
-.RE
-
-.sp
-.ne 2
-.na
-\fBMTSEEK\fR
-.ad
-.RS 17n
-go to  requested  position
-.RE
-
-.sp
-.ne 2
-.na
-\fBMTFSSF\fR
-.ad
-.RS 17n
-forward to requested number of sequential file marks
-.RE
-
-.sp
-.ne 2
-.na
-\fBMTBSSF\fR
-.ad
-.RS 17n
-backward to requested number of sequential file marks
-.RE
-
-.sp
-.ne 2
-.na
-\fBMTLOCK\fR
-.ad
-.RS 17n
-prevent media removal
-.RE
-
-.sp
-.ne 2
-.na
-\fBMTUNLOCK\fR
-.ad
-.RS 17n
-allow media removal
-.RE
-
-.sp
-.ne 2
-.na
-\fBMTLOAD\fR
-.ad
-.RS 17n
-load the next tape cartridge into the tape drive
-.RE
-
-.sp
-.ne 2
-.na
-\fBMTIOCGETERROR\fR
-.ad
-.RS 17n
-retrieve error records from the st driver
-.RE
-
-.sp
-.in +2
-.nf
-/* structure for MTIOCGET \(mi magnetic tape get status command */
-
 struct  mtget {
   short	mt_type;	/* type of magtape device */
-/* the following two registers are device dependent */
+
+  /* the following two registers are device dependent */
   short  mt_dsreg;      /* "drive status" register */
   short  mt_erreg;      /* "error" register */
-/* optional error info. */
+
+  /* optional error info.  */
   daddr_t   mt_resid;   /* residual count */
   daddr_t   mt_fileno;  /* file number of current position */
   daddr_t   mt_blkno;   /* block number of current position */
@@ -554,7 +510,8 @@
   ushort_t  mt_flags;
   short     mt_bf;      /* optimum blocking factor */
 };
-/* structure for MTIOCGETDRIVETYPE \(mi get tape config data command */
+
+/* structure for MTIOCGETDRIVETYPE - get tape config data command */
 struct mtdrivetype_request {
   int  size;
   struct  mtdrivetype	*mtdtp;
